~james-page/charms/trusty/nova-compute/lp1531102

« back to all changes in this revision

Viewing changes to hooks/charmhelpers/contrib/openstack/utils.py

  • Committer: James Page
  • Date: 2016-01-05 11:40:00 UTC
  • Revision ID: james.page@ubuntu.com-20160105114000-z5dldts5vk6ci70k
Resync charm-helpers

Show diffs side-by-side

added added

removed removed

Lines of Context:
131
131
# >= Liberty version->codename mapping
132
132
PACKAGE_CODENAMES = {
133
133
    'nova-common': OrderedDict([
134
 
        ('12.0.0', 'liberty'),
135
 
        ('13.0.0', 'mitaka'),
 
134
        ('12.0', 'liberty'),
 
135
        ('13.0', 'mitaka'),
136
136
    ]),
137
137
    'neutron-common': OrderedDict([
138
 
        ('7.0.0', 'liberty'),
139
 
        ('8.0.0', 'mitaka'),
 
138
        ('7.0', 'liberty'),
 
139
        ('8.0', 'mitaka'),
140
140
    ]),
141
141
    'cinder-common': OrderedDict([
142
 
        ('7.0.0', 'liberty'),
143
 
        ('8.0.0', 'mitaka'),
 
142
        ('7.0', 'liberty'),
 
143
        ('8.0', 'mitaka'),
144
144
    ]),
145
145
    'keystone': OrderedDict([
146
 
        ('8.0.0', 'liberty'),
147
 
        ('9.0.0', 'mitaka'),
 
146
        ('8.0', 'liberty'),
 
147
        ('9.0', 'mitaka'),
148
148
    ]),
149
149
    'horizon-common': OrderedDict([
150
 
        ('8.0.0', 'liberty'),
151
 
        ('9.0.0', 'mitaka'),
 
150
        ('8.0', 'liberty'),
 
151
        ('9.0', 'mitaka'),
152
152
    ]),
153
153
    'ceilometer-common': OrderedDict([
154
 
        ('5.0.0', 'liberty'),
155
 
        ('6.0.0', 'mitaka'),
 
154
        ('5.0', 'liberty'),
 
155
        ('6.0', 'mitaka'),
156
156
    ]),
157
157
    'heat-common': OrderedDict([
158
 
        ('5.0.0', 'liberty'),
159
 
        ('6.0.0', 'mitaka'),
 
158
        ('5.0', 'liberty'),
 
159
        ('6.0', 'mitaka'),
160
160
    ]),
161
161
    'glance-common': OrderedDict([
162
 
        ('11.0.0', 'liberty'),
163
 
        ('12.0.0', 'mitaka'),
 
162
        ('11.0', 'liberty'),
 
163
        ('12.0', 'mitaka'),
164
164
    ]),
165
165
    'openstack-dashboard': OrderedDict([
166
 
        ('8.0.0', 'liberty'),
167
 
        ('9.0.0', 'mitaka'),
 
166
        ('8.0', 'liberty'),
 
167
        ('9.0', 'mitaka'),
168
168
    ]),
169
169
}
170
170
 
251
251
        error_out(e)
252
252
 
253
253
    vers = apt.upstream_version(pkg.current_ver.ver_str)
254
 
    match = re.match('^(\d+)\.(\d+)\.(\d+)', vers)
 
254
    if 'swift' in pkg.name:
 
255
        # Fully x.y.z match for swift versions
 
256
        match = re.match('^(\d+)\.(\d+)\.(\d+)', vers)
 
257
    else:
 
258
        # x.y match only for 20XX.X
 
259
        # and ignore patch level for other packages
 
260
        match = re.match('^(\d+)\.(\d+)', vers)
 
261
 
255
262
    if match:
256
263
        vers = match.group(0)
257
264
 
263
270
        # < Liberty co-ordinated project versions
264
271
        try:
265
272
            if 'swift' in pkg.name:
266
 
                swift_vers = vers[:5]
267
 
                if swift_vers not in SWIFT_CODENAMES:
268
 
                    # Deal with 1.10.0 upward
269
 
                    swift_vers = vers[:6]
270
 
                return SWIFT_CODENAMES[swift_vers]
 
273
                return SWIFT_CODENAMES[vers]
271
274
            else:
272
 
                vers = vers[:6]
273
275
                return OPENSTACK_CODENAMES[vers]
274
276
        except KeyError:
275
277
            if not fatal: